/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package TP1;

import javax.persistence.Entity;

/**
 * Compte courant
 * @author Administrateur
 */
@Entity
public class CompteCourant extends CompteBancaire{

    private double maxDecourt;
/**
 * Constructeur vide
 */
    public CompteCourant() {
        this.setNom("Compte Courant");
    }
/**
 * Constructeur
 * @param solde solde initial du compte
 * @param max Valeur du découvert autorisé
 */
    public CompteCourant(int solde, double max) {
        super(solde);
        this.maxDecourt=max;
            this.setNom("Compte Courant");
    }

/**
 *
 * @return La valeur du découvert autorisé
 */
    public double getMaxDecourt() {
        return maxDecourt;
    }
/**
 *  Mise à jour de la valeur du découvert autorisé
 * @param maxDecourt nouvelle valeur du découvert autorisé
 */
    public void setMaxDecourt(double maxDecourt) {
        this.maxDecourt = maxDecourt;
    }



}
