/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package TP1;

import java.io.IOException;
import java.io.PrintWriter;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Date;
import java.util.Iterator;
import java.util.List;
import javax.ejb.EJB;
import javax.jms.Session;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

/**
 *
 * @author Chouchou
 */
public class GestionComptesBancaire extends HttpServlet {
        @EJB
       private GestionnaireCompteBancaireLocal gestionnaireCompteBancaire;
    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */

        public Client getClientbyId(int id){
            return gestionnaireCompteBancaire.getClientById(id);
        }

        
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        String value = "";
        if (request.getParameter("bt_OK") != null){
           value= request.getParameter("bt_OK");
        }else{
        value = "index";
        }


      
        try {

            if (value.compareTo("Transfert")==0){
                System.out.println("bouton Transfert");

                Collection ListeComptes = gestionnaireCompteBancaire.getComptes();
                request.setAttribute("ListeComptes", ListeComptes);
                Collection<Client> mesClients = gestionnaireCompteBancaire.getClients();

                request.setAttribute("ListeClients", mesClients);

                 RequestDispatcher dp = request.getRequestDispatcher("Operations.jsp?param=Virement");
                 dp.forward(request, response);


            }
            else if (value.compareTo("listeClients")==0){

                Collection mesClients = gestionnaireCompteBancaire.getClients();
               request.setAttribute("mesClients", mesClients);
             RequestDispatcher dp = request.getRequestDispatcher("clients.jsp?param=listeClients");
                   dp.forward(request, response);


            }
            else if (value.compareTo("Versement")==0){
                Collection ListeComptes = gestionnaireCompteBancaire.getComptes();
                request.setAttribute("ListeComptes", ListeComptes);
                Collection<Client> mesClients = gestionnaireCompteBancaire.getClients();
                request.setAttribute("ListeClients", mesClients);
                 RequestDispatcher dp = request.getRequestDispatcher("Operations.jsp?param=Versement");
                 dp.forward(request, response);


            }
            else if (value.compareTo("Retrait")==0){
                Collection ListeComptes = gestionnaireCompteBancaire.getComptes();
                request.setAttribute("ListeComptes", ListeComptes);
                Collection<Client> mesClients = gestionnaireCompteBancaire.getClients();
                request.setAttribute("ListeClients", mesClients);
                 RequestDispatcher dp = request.getRequestDispatcher("Operations.jsp?param=Retrait");
                 dp.forward(request, response);


            }
             else if (value.compareTo("Lastconnexion")==0){
                  Connexions last = null;
                HttpSession session = request.getSession();
                Client client =(Client) session.getAttribute("Client");
                String laDate=null;
                Date dateconnexion= null;
                Collection<Connexions> connexions = gestionnaireCompteBancaire.getConnexions();
                //Collections.reverse((List<?>) connexions);
                int test = 0;
                for(Connexions connexions1:connexions){
                    if(connexions1.getIdClient()==client.getId()){
                        if(test==1){
                             dateconnexion=connexions1.getDateConnection();
                            last = connexions1;
                        } else if(test==0){
                           test=1;
                        }
                    }

                }
                if(dateconnexion==null){
                    laDate="C'est votre première connexion";
                }else {
                     DateFormat format = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss");
       laDate = "Votre dernière connexion a été effectuée le : " + format.format(dateconnexion) ;
                }
               session.setAttribute("dateConnexion", laDate);
                session.setAttribute("lastconnexion", last);
                RequestDispatcher dp = request.getRequestDispatcher("page_client.jsp");
                 dp.forward(request, response);


            }
            // Création d'un nouveau client
            else if (value.compareTo("nouveauClient")==0){
                // On passe les paramètres du nouveau client au Bean 
                gestionnaireCompteBancaire.nouveauClient(request.getParameter("Nom"), Integer.parseInt(request.getParameter("Solde")));
                // Mise à jour de la requête.
                Collection ListeComptes = gestionnaireCompteBancaire.getComptes();
                request.setAttribute("ListeComptes", ListeComptes);
                 RequestDispatcher dp = request.getRequestDispatcher("index2.jsp");
                dp.forward(request, response);
            }          
// Deconnexion
            else if (value.compareTo("disconnect")==0){

                request.getSession().invalidate();
                Collection ListeComptes = gestionnaireCompteBancaire.getComptes();
                request.setAttribute("ListeComptes", ListeComptes);
                 RequestDispatcher dp = request.getRequestDispatcher("index.jsp");
                dp.forward(request, response);
            }



            else if (value.compareTo("OK")==0){
                System.out.println("bouton OK");


               gestionnaireCompteBancaire.creerCompteTest();
               System.out.println("creation des comptes bancaires : OK");

               Collection ListeComptes = gestionnaireCompteBancaire.getComptes();
               System.out.println("nombre de compte : "+ListeComptes.size());

               request.setAttribute("ListeComptes", ListeComptes);

                  //RequestDispatcher dp = request.getRequestDispatcher("ListeCompteBancaire.jsp");
                   RequestDispatcher dp = request.getRequestDispatcher("index.jsp");
                   dp.forward(request, response);
            } else if (value.compareTo("Virement")==0){
                String compteDebiter=request.getParameter("liste_comptes_Debiter2");
                String compteCrediter=request.getParameter("liste_comptes_Crediter2");
                int montantTransfert=Integer.parseInt(request.getParameter("tb_montantTransfert"));
             gestionnaireCompteBancaire.addHistorique(Integer.parseInt(compteDebiter),Integer.parseInt(compteCrediter), montantTransfert, "Virement");
             gestionnaireCompteBancaire.transfert(Integer.parseInt(compteDebiter), Integer.parseInt(compteCrediter),montantTransfert);
                 Collection ListeComptes = gestionnaireCompteBancaire.getComptes();
               request.setAttribute("ListeComptes", ListeComptes);
               
                RequestDispatcher dp = request.getRequestDispatcher("comptes.jsp");
                dp.forward(request, response);

            }else if (value.compareTo("afficheListe")==0){
               Collection ListeComptes = gestionnaireCompteBancaire.getComptes();
               System.out.println("nombre de compte : "+ListeComptes.size());

               request.setAttribute("ListeComptes", ListeComptes);

                  //RequestDispatcher dp = request.getRequestDispatcher("ListeCompteBancaire.jsp");
                   RequestDispatcher dp = request.getRequestDispatcher("index.jsp");
                   dp.forward(request, response);
            }else if (value.compareTo("index")==0){

            

               Collection ListeComptes = gestionnaireCompteBancaire.getComptes();
               request.setAttribute("ListeComptes", ListeComptes);
             RequestDispatcher dp = request.getRequestDispatcher("comptes.jsp");
                   dp.forward(request, response);
                   System.out.println(ListeComptes.size());
            }




        } finally {
            out.close();
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
