<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html dir="ltr">

    <head>

        <script charset="iso-8859-1" src="javascript/AjaxFunction.js" type="text/javascript"></script>
        <link rel="stylesheet" type="text/css" href="http://ajax.googleapis.com/ajax/libs/dojo/1.3/dijit/themes/soria/soria.css">
        <style type="text/css">
            body, html { font-family:helvetica,arial,sans-serif; font-size:90%; }

        </style>
    </head>

    <body class="soria ">
        <div id="defaultGauge">
        </div>
        
    </body>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/dojo/1.3/dojo/dojo.xd.js"
    djConfig="parseOnLoad: true, locale: &#39;fil&#39;, locale: &#39;fr&#39;">
    </script>
    <script>
        dojo.require("dojox.widget.AnalogGauge");
        dojo.require("dojox.widget.gauge.AnalogArrowIndicator");

        function init() {
            var gauge;
            var ranges1 = [{
                low: 0,
                high: 10,
                hover: '5 - 10'
            },
            {
                low: 10,
                high: 20,
                hover: '10 - 20'
            },
            {
                low: 20,
                high: 30,
                hover: '20 - 30'
            },
            {
                low: 30,
                high: 40,
                hover: '30 - 40'
            },
            {
                low: 40,
                high: 50,
                hover: '40 - 50'
            },
            {
                low: 50,
                high: 60,
                hover: '50 - 60'
            },
            {
                low: 60,
                high: 70,
                hover: '60 - 70'
            },
            {
                low: 70,
                high: 75,
                hover: '70 - 75'
            },
            {
                low: 75,
                high: 100,
                hover: '75 - 100'
            }];
        var a = mySolde()/1000;
      
            gauge = dojo.byId('defaultGauge');
            gauge = new dojox.widget.AnalogGauge({
                id: "defaultGauge",
                width: 300,
                height: 200,
                cx: 150,
                cy: 175,
                radius: 125,
                ranges: ranges1,
                minorTicks: {
                    offset: 125,
                    interval: 30,
                    length: 5,
                    color: 'gray'
                },
                majorTicks: {
                    offset: 125,
                    interval: 10,
                    length: 10
                },
                indicators: [
                new dojox.widget.gauge.AnalogArrowIndicator({
                    value: a,
                    width: 3,
                    hover: 'Value: 17',
                    title: 'Solde '+a*1000
                })]
            },
            gauge);
            gauge.startup();
        }

        dojo.addOnLoad(init);
    </script>
  
    <script type="text/javascript">
        dojo.addOnLoad(function() {
            if (window.pub) {
                window.pub();
            }
        });
    </script>

</html>