/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package TP1;

import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.Collection;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.ejb.Stateful;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 *
 * @author Chouchou
 */
@Stateful
public class GestionnaireCompteBancaireBean implements GestionnaireCompteBancaireLocal {

    @PersistenceContext
    private EntityManager em;
    // Add business logic below. (Right-click in editor and choose
    // "Insert Code > Add Business Method" or "Web Service > Add Operation")

    public void creerCompteTest() {
        System.out.println("creerCOmpteTest !!!!!!!!!!!!!!!!!!!!!!!");
        CompteBancaire john = new CompteBancaire();
        john.CrediterCompte(150000000);
        john.setNom("John");
        em.persist(john);
        CompteBancaire paul = new CompteBancaire();
        paul.CrediterCompte(150000000);
        paul.setNom("Paul");
        em.persist(paul);
        CompteBancaire georges = new CompteBancaire();
        georges.CrediterCompte(150000000);
        georges.setNom("Georges");
        em.persist(georges);
        CompteBancaire ringo = new CompteBancaire();
        ringo.CrediterCompte(150000000);
        ringo.setNom("Ringo");
        em.persist(ringo);
    }
    public void nouveauClient(String nom, int solde){
        CompteBancaire client = new CompteBancaire();
        client.CrediterCompte(solde);
        client.setNom(nom);

        em.persist(client);

    }

  


    public Client creerClientBanque(String nom, String prenom, String adresse, String ville, String cp, String mail, String date){
        Client client = new Client(nom,prenom,adresse,ville,cp, mail, date);
        em.persist(client);
        return client;
    }

    public Collection getComptes() {
        Query query = em.createNamedQuery("CompteBancaire.findAll");
        Collection<CompteBancaire> result = query.getResultList();
        return result;

    }

        public Collection getClient(String nom,String prenom) {
        Query query = em.createNamedQuery("Client.findOne").setParameter("clientNomParam", nom)
                .setParameter("clientPrenomParam", prenom);
        Collection<Client> result = query.getResultList();
        return result;

    }
      public Collection getHistorique() {
        Query query = em.createNamedQuery("Historique.findAll");
        Collection<Historique> result = query.getResultList();
        return result;

    }

    public void addHistorique(int idDebiteur, int idCrediteur, int montantVirement, String nature){
        Historique histo = new Historique(idDebiteur, idCrediteur, montantVirement, nature);
        em.persist(histo);
    }
public void addConnexion(Client client){
        try {
            InetAddress Ip = InetAddress.getLocalHost();            
            Connexions conn = new Connexions(client.getId(), toString().valueOf(Ip.getHostAddress()));
            em.persist(conn);
            System.out.println("Connexions");
        } catch (UnknownHostException ex) {
            Logger.getLogger(GestionnaireCompteBancaireBean.class.getName()).log(Level.SEVERE, null, ex);
        }
}
      public CompteBancaire getCompte(int id) {
       return em.find(CompteBancaire.class, id);
    }
     public Client getClientById(int id) {

       return em.find(Client.class, id);
    }
     public CompteBancaire getCompteById(int id){
          return em.find(CompteBancaire.class, id);
     }

    public String getNom(CompteBancaire cpt){
        return cpt.getNom();
    }
      public void transfert(int idDebit, int idCredit, int montant){
          CompteBancaire cDebit = em.find(CompteBancaire.class, idDebit);
          CompteBancaire cCredit = em.find(CompteBancaire.class, idCredit);
          cDebit.DebiterCompte(montant);
          cCredit.CrediterCompte(montant);
      }
      public void Versement(int idCompte, int solde){
           CompteBancaire compte = em.find(CompteBancaire.class, idCompte);
           compte.CrediterCompte(solde);
      }
    public Collection getClients() {
        Query query = em.createNamedQuery("Client.findAll");
        Collection<Client> result = query.getResultList();
        return result;

    }

     public Collection getConnexions() {
       Query query = em.createNamedQuery("Connexions.findAll");
        Collection<Client> result = query.getResultList();
        return result;
    }

   public void ajouterCompteBancaireClient(CompteBancaire cb,Client c){
       c.ajouteCompteBancaire(cb);
       em.persist(c);
   }

    public boolean Retrait(int idCompte, int solde){
        boolean possible = false;
        CompteBancaire compte = em.find(CompteBancaire.class, idCompte);
           if(compte instanceof CompteCourant){
               CompteCourant comptecourant = (CompteCourant) compte;
              int maxRetrait = (int) ((int) comptecourant.getSolde() + comptecourant.getMaxDecourt());

              if(maxRetrait>=solde){
              possible = true;
              compte.DebiterCompte(solde);
              }
           } else if(compte.getSolde()>=solde){
               possible=true;
               compte.DebiterCompte(solde);
           }
         return possible;
    }
    public void creerCompte(CompteBancaire compte){
        em.persist(compte);
        System.out.println("creation compte");
    }
}
