/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package TP1;

import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageListener;
import javax.jms.ObjectMessage;
import javax.jms.TextMessage;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author Administrateur
 */
@MessageDriven(mappedName = "jms/NouveauCompteJMS", activationConfig =  {
        @ActivationConfigProperty(propertyName = "acknowledgeMode", propertyValue = "Auto-acknowledge"),
        @ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Topic"),
        @ActivationConfigProperty(propertyName = "subscriptionDurability", propertyValue = "Durable"),
        @ActivationConfigProperty(propertyName = "clientId", propertyValue = "NouveauCompteJMSBean"),
        @ActivationConfigProperty(propertyName = "subscriptionName", propertyValue = "NouveauCompteJMSBean")
    })
public class NouveauCompteJMSBean implements MessageListener {
    @PersistenceContext
    private EntityManager em;
    
    public NouveauCompteJMSBean() {
    }
public void onMessage(javax.jms.Message msg) {

  if(msg==null)
    System.out.println("Message: message null ");
  else {
    if(msg instanceof ObjectMessage) {
        Client m = null;
                try {
                    m = (Client) ((ObjectMessage)msg).getObject();
                     InetAddress Ip = null;
                    try {
                        Ip = InetAddress.getLocalHost();
                    } catch (UnknownHostException ex) {
                        Logger.getLogger(NouveauCompteJMSBean.class.getName()).log(Level.SEVERE, null, ex);
                    }
                    Connexions conn = new Connexions(m.getId(), toString().valueOf(Ip.getHostAddress()));
                    em.persist(conn);
                } catch (JMSException ex) {
                    Logger.getLogger(NouveauCompteJMSBean.class.getName()).log(Level.SEVERE, null, ex);
                }
        System.out.println ("JMS client: Connexion Ajoutée ======> ");
    } else if(msg instanceof TextMessage) {
        String m = null;
                try {
                    m = ((TextMessage) msg).getText();
                } catch (JMSException ex) {
                    Logger.getLogger(NouveauCompteJMSBean.class.getName()).log(Level.SEVERE, null, ex);
                }
        System.out.println ("JMS client: received message ======> " + m);
    }

   } }
 /*  public void onMessage(Message compte) {
     
        if(compte instanceof ObjectMessage){
            
            if(compte instanceof Connexions) {
            try {
                ObjectMessage om = (ObjectMessage) compte;
                Connexions conn =  (Connexions) om.getObject();
                 System.out.println(conn.getClass());
                em.persist(conn);
                
            } catch (JMSException ex) {
                Logger.getLogger(NouveauCompteJMSBean.class.getName()).log(Level.SEVERE, null, ex);
            }
            }
           
            
        }
        

    }*/

    public void persist(Object object) {
        em.persist(object);
    }
    
}
