
var ds_i_date = new Date();
ds_c_month = ds_i_date.getMonth() + 1;
ds_c_year = ds_i_date.getFullYear();




// Get Element By Id
function ds_getel(id) {
	return document.getElementById(id);
}

// Get the left and the top of the element.
function ds_getleft(el) {
	var tmp = el.offsetLeft;
	el = el.offsetParent
	while(el) {
		tmp += el.offsetLeft;
		el = el.offsetParent;
	}
	return tmp;
}
function ds_gettop(el) {
	var tmp = el.offsetTop;
	el = el.offsetParent
	while(el) {
		tmp += el.offsetTop;
		el = el.offsetParent;
	}
	return tmp;
}

// Output Element
var ds_oe = ds_getel('ds_calclass');
// Container
var ds_ce = ds_getel('ds_conclass');

// Output Buffering
var ds_ob = '';
function ds_ob_clean() {
	ds_ob = '';
}
function ds_ob_flush() {
	ds_oe.innerHTML = ds_ob;
	ds_ob_clean();
}
function ds_echo(t) {
	ds_ob += t;
}

var ds_element; // Text Element...

var ds_monthnames = [
'Janvier', 'Février', 'Mars', 'Avril', 'Mai', 'Juin',
'Juillet', 'Aout', 'Septembre', 'Octobre', 'Novembre', 'Décembre'
]; // You can translate it for your language.

var ds_daynames = [
'Dim', 'Lun', 'Mar', 'Me', 'Jeu', 'Ven', 'Sam'
]; // You can translate it for your language.

// Calendar template
function ds_template_main_above(t) {
	return '<table cellpadding="3" cellspacing="1" class="ds_tbl">'
	     + '<tr>'
		 + '<td class="ds_head" style="cursor: pointer" onclick="ds_py();">&lt;&lt;</td>'
		 + '<td class="ds_head" style="cursor: pointer" onclick="ds_pm();">&lt;</td>'
		 + '<td class="ds_head" style="cursor: pointer" onclick="ds_hi();" colspan="3">[Fermer]</td>'
		 + '<td class="ds_head" style="cursor: pointer" onclick="ds_nm();">&gt;</td>'
		 + '<td class="ds_head" style="cursor: pointer" onclick="ds_ny();">&gt;&gt;</td>'
		 + '</tr>'
	     + '<tr>'
		 + '<td colspan="7" class="ds_head">' + t + '</td>'
		 + '</tr>'
		 + '<tr>';
}

function ds_template_day_row(t) {
	return '<td class="ds_subhead">' + t + '</td>';
	// Define width in CSS, XHTML 1.0 Strict doesn't have width property for it.
}

function ds_template_new_week() {
	return '</tr><tr>';
}

function ds_template_blank_cell(colspan) {
	return '<td colspan="' + colspan + '"></td>'
}

function ds_template_day(d, m, y) {
	return '<td class="ds_cell" onclick="ds_onclick(' + d + ',' + m + ',' + y + ')">' + d + '</td>';
	// Define width the day row.
}

function ds_template_main_below() {
	return '</tr>'
	     + '</table>';
}

// This one draws calendar...
function ds_draw_calendar(m, y) {
	// First clean the output buffer.
	ds_ob_clean();
	// Here we go, do the header
	ds_echo (ds_template_main_above(ds_monthnames[m - 1] + ' ' + y));
	for (i = 0; i < 7; i ++) {
		ds_echo (ds_template_day_row(ds_daynames[i]));
	}
	// Make a date object.
	var ds_dc_date = new Date();
	ds_dc_date.setMonth(m - 1);
	ds_dc_date.setFullYear(y);
	ds_dc_date.setDate(1);
	if (m == 1 || m == 3 || m == 5 || m == 7 || m == 8 || m == 10 || m == 12) {
		days = 31;
	} else if (m == 4 || m == 6 || m == 9 || m == 11) {
		days = 30;
	} else {
		days = (y % 4 == 0) ? 29 : 28;
	}
	var first_day = ds_dc_date.getDay();
	var first_loop = 1;
	// Start the first week
	ds_echo (ds_template_new_week());
	// If sunday is not the first day of the month, make a blank cell...
	if (first_day != 0) {
		ds_echo (ds_template_blank_cell(first_day));
	}
	var j = first_day;
	for (i = 0; i < days; i ++) {
		// Today is sunday, make a new week.
		// If this sunday is the first day of the month,
		// we've made a new row for you already.
		if (j == 0 && !first_loop) {
			// New week!!
			ds_echo (ds_template_new_week());
		}
		// Make a row of that day!
		ds_echo (ds_template_day(i + 1, m, y));
		// This is not first loop anymore...
		first_loop = 0;
		// What is the next day?
		j ++;
		j %= 7;
	}
	// Do the footer
	ds_echo (ds_template_main_below());
	// And let's display..
	ds_ob_flush();
	// Scroll it into view.
	ds_ce.scrollIntoView();
}

// A function to show the calendar.
// When user click on the date, it will set the content of t.
function ds_sh(t) {

   
	// Set the element to set...
	ds_element = t;
	// Make a new date, and set the current month and year.
	var ds_sh_date = new Date();
	ds_c_month = ds_sh_date.getMonth() + 1;
	ds_c_year = 1980;//ds_sh_date.getFullYear();
	// Draw the calendar
	ds_draw_calendar(ds_c_month, ds_c_year);
	// To change the position properly, we must show it first.
	ds_ce.style.display = '';
	// Move the calendar container!
	the_left = ds_getleft(t);
	the_top = ds_gettop(t) + t.offsetHeight;
	ds_ce.style.left = the_left + 'px';
	ds_ce.style.top = the_top + 'px';
	// Scroll it into view.
	ds_ce.scrollIntoView();
}

// Hide the calendar.
function ds_hi() {
	ds_ce.style.display = 'none';
}

// Moves to the next month...
function ds_nm() {
	// Increase the current month.
	ds_c_month ++;
	// We have passed December, let's go to the next year.
	// Increase the current year, and set the current month to January.
	if (ds_c_month > 12) {
		ds_c_month = 1;
		ds_c_year++;
	}
	// Redraw the calendar.
	ds_draw_calendar(ds_c_month, ds_c_year);
}

// Moves to the previous month...
function ds_pm() {
	ds_c_month = ds_c_month - 1; // Can't use dash-dash here, it will make the page invalid.
	// We have passed January, let's go back to the previous year.
	// Decrease the current year, and set the current month to December.
	if (ds_c_month < 1) {
		ds_c_month = 12;
		ds_c_year = ds_c_year - 1; // Can't use dash-dash here, it will make the page invalid.
	}
	// Redraw the calendar.
	ds_draw_calendar(ds_c_month, ds_c_year);
}

// Moves to the next year...
function ds_ny() {
	// Increase the current year.
	ds_c_year++;
	// Redraw the calendar.
	ds_draw_calendar(ds_c_month, ds_c_year);
}

// Moves to the previous year...
function ds_py() {
	// Decrease the current year.
	ds_c_year = ds_c_year - 1; // Can't use dash-dash here, it will make the page invalid.
	// Redraw the calendar.
	ds_draw_calendar(ds_c_month, ds_c_year);
}

// Format the date to output.
function ds_format_date(d, m, y) {
	// 2 digits month.
	m2 = '00' + m;
	m2 = m2.substr(m2.length - 2);
	// 2 digits day.
	d2 = '00' + d;
	d2 = d2.substr(d2.length - 2);
	// YYYY-MM-DD
	return d2 + '/' + m2 + '/' + y;
}

// When the user clicks the day.
function ds_onclick(d, m, y) {
	// Hide the calendar.
	ds_hi();
	// Set the value of it, if we can.
	if (typeof(ds_element.value) != 'undefined') {
		ds_element.value = ds_format_date(d, m, y);
	// Maybe we want to set the HTML in it.
	} else if (typeof(ds_element.innerHTML) != 'undefined') {
		ds_element.innerHTML = ds_format_date(d, m, y);
	// I don't know how should we display it, just alert it to user.
	} else {
		alert (ds_format_date(d, m, y));
	}
}

// And here is the end.

// ]]> -->

/* 
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
function validationVirement()
{



    if((document.formulaire.tb_montantTransfert.value == "") )
		{
        alert ('Veuillez saisir un montant');
        document.formulaire.tb_montantTransfert.focus();
        document.formulaire.tb_montantTransfert.value = "1";
        return false;
		}

    if((document.formulaire.liste_comptes_Debiter2.value == "0") )
		{
        alert ('veuillez Valider le compte débiteur');
        return false;
		}
         if((document.formulaire.liste_comptes_Crediter2.value == "0") )
		{
        alert ('veuillez Valider le compte créditeur');
        return false;
		}
         if((document.formulaire.tb_montantTransfert.value<1) )
		{
        alert ('Le montant doit être supérieur à 0');
        document.formulaire.tb_montantTransfert.focus();
        document.formulaire.tb_montantTransfert.value = "1";
        return false;
		}
         if((document.formulaire.liste_comptes_Debiter.value > document.formulaire.tb_montantTransfert.value ))
		{
        alert ('Solde du débiteur insuffisant');
        document.formulaire.tb_montantTransfert.focus();s
        document.formulaire.tb_montantTransfert.value = document.formulaire.liste_comptes_Debiter.value;
        return false;
		}
}
function verif_nombre1(champ)
	{
	var chiffres = new RegExp("[0-9\.]");
	 /* Modifier pour : var chiffres = new RegExp("[0-9]"); */

	var verif;


	for(x = 0; x < champ.value.length; x++)
	{
	verif = chiffres.test(champ.value.charAt(x));


	if(verif == false){champ.value = champ.value.substr(0,x) + champ.value.substr(x+1,champ.value.length-x+1); x--;}
	}

	}
function verifierAge(champee){
    var champ = document.formulaire;

actu=new Date();
var MM = parseInt(champ.date.value.substring(3,5));
var JJ = parseInt(champ.date.value.substring(0,2));
var AA = parseInt(champ.date.value.substring(6,10));


if((actu.getMonth()+1)>=MM)
{
if((actu.getMonth()+1)==MM)
{
if(actu.getDate()>=JJ)
{
mois=(actu.getMonth()+1)-MM;
ans=actu.getFullYear()-AA;
}
else
{
mois=(12-MM)+(actu.getMonth()+1);
ans=actu.getFullYear()-AA-1;
}
}
else
{
mois=(actu.getMonth()+1)-MM;
ans=actu.getFullYear()-AA;
}
}
else
{
mois=(12-MM)+(actu.getMonth()+1);
ans=actu.getFullYear()-AA-1;
}
if(actu.getDate()>JJ)
{
jours=actu.getDate()-JJ;
}
else
{
jours=(30-JJ)+(actu.getDate());
}
while(jours>30)
{
jours-=30;
mois+=1;
}
while(mois>12)
{
mois-=12;
ans+=1;
}


var ok = false
if(ans<26) {
    ok = true;
} else {
    
    document.getElementById('listeTypeCompteBancaire').removeChild(document.getElementById('listeTypeCompteBancaire').options[3]);
}

return ok

}
function verifierDateNaissance(champ){
    if(champ.date.value==""){
        alert('veuillez saisir la date de naissance du client');
        return false;
    } else return true;
}
function verif_nombre(champ)
{
var chiffres = new RegExp("[0-9\.]");
var verif;
for(x = 0; x < champ.value.length; x++)
{
verif = chiffres.test(champ.value.charAt(x));
if(verif == false){champ.value = champ.value.substr(0,x) + champ.value.substr(x+1,champ.value.length-x+1); x--;}
}
}
function verifierNom(champ){
    
    if((champ.nom.value == "") ||(champ.nom.value.length <3))
		{
        alert ('Veuillez saisir un nom valide');
        champ.nom.focus();
        return false;
		} else {
            return true
        }
}
function verifierPrenom(champ){
    if((champ.prenom.value == "") ||(champ.prenom.value.length <3))
		{
        alert ('Veuillez saisir un prénom valide');
        champ.prenom.focus();
        return false;
		} else return true
}
function verifierAdresse(champ){
    if((champ.adresse.value == "") ||(champ.adresse.value.length <3))
		{
        alert ('Veuillez saisir une adresse valide');
        champ.adresse.focus();
        return false;
		} else return true;
}
function verifierVille(champ){
    if((champ.ville.value == "") ||(champ.ville.value.length <3))
		{
        alert ('Veuillez saisir une ville valide');
        champ.ville.focus();
        return false;
		} else return true
}
function verifierCodePostale(champ){
    
        if((champ.codePostal.value.length !=5) ){
        alert ('Veuillez saisir un code postale  valide');
        champ.codePostal.focus();
        return false;
		} else return true
}

function verifierEmail(champ){
  
    if(champ.mail.value != "")
		{
		var adresse = champ.mail.value;
	var place = adresse.indexOf("@",1);
	var point = adresse.indexOf(".",place+1);
	if ((place > -1)&&(adresse.length >2)&&(point > 1))
		{
            return true;
		}
	else
		{
		alert('Adresse email non valise');
		return false;
		champ.mail.focus();
		champ.mail.select();
		}
} else return false;
}
function file_aj(fichier,data)
{
    if(window.XMLHttpRequest) // FIREFOX
        xhr_object = new XMLHttpRequest();
    else if(window.ActiveXObject) // IE
        xhr_object = new ActiveXObject("Microsoft.XMLHTTP");
    else
         return(false);
        xhr_object.open("POST", fichier, false);
        xhr_object.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
        xhr_object.send(data);
    if(xhr_object.readyState == 4) return (xhr_object.responseText);
    else return(false);
}
function java_SelectClient(f){
    
    var l1    = f.elements["listeComptesBancaire"];
	var index = l1.selectedIndex;
    document.getElementById("infoCompte").innerHTML="id du comtpe > "+l1.options[index].value
    var file = "FunctionServlet";
    var data = "fonction=2&idCompte="+escape(l1.options[index].value);
    var text = file_aj(file,data);
    //alert(text);
    var tabRep= text.split("[-]");

    var rep="<div class='post'><h2 class='title'>Numero de compte : "+tabRep[0]+"</h2></div>";
    rep+="<div class='entry'><h3> Client : "+tabRep[1]+"</h3></div>";
    rep+="<div class='entry'><h3> Solde actuel : "+tabRep[2]+" Euros</h3></div>";
    rep+="<div class='entry'><h3> Historique des opérations : </h3> "+tabRep[3]+" </div>";
    document.getElementById("infoCompte").innerHTML=rep;


}

function java_AjouterVersement(){

    var idCompte= document.getElementById("idCompte").innerHTML;
    var solde= document.Versement.Solde.value;
    var idClient=document.getElementById("idClient").innerHTML;

    var file = "FunctionServlet";
  var data = "fonction=6&nomTypeCompte="+escape(idCompte)+"&soldeCompte="+escape(solde)+"&idClient="+escape(idClient);

  file_aj(file,data);
  
 //   window.location.replace("Operations.jsp?param=Versement");

}
function java_AjouterRetrait(){

    var idCompte= document.getElementById("idCompte").innerHTML;
    var solde= document.Retrait.Solde.value;
    var idClient=document.getElementById("idClient").innerHTML;

    var file = "FunctionServlet";
  var data = "fonction=7&nomTypeCompte="+escape(idCompte)+"&soldeCompte="+escape(solde)+"&idClient="+escape(idClient);

  var retrait = file_aj(file,data);
  if(retrait=='retraitOK'){
      alert('Retrait effectué avec succès');
       window.location.replace("Operations.jsp");
  } else {
      alert('Le retrait ne peut dépasser ' + retrait+ ' €');
  }
  
   

}


function java_AjouterCompteClient(){ 
    var NomTypeCompte= document.AjouterCompte.NomTypeCompte.value;
    var solde= document.AjouterCompte.Solde.value;
    var idClient=document.getElementById("idClient").innerHTML;
    var file = "FunctionServlet";
    var data = "fonction=5&nomTypeCompte="+escape(NomTypeCompte)+"&soldeCompte="+escape(solde)+"&idClient="+escape(idClient);
    file_aj(file,data);
    window.location.replace("clients.jsp?param=AddConfirmation");
   }
function java_AjouteNouveauClient(f){
  
if((verifierNom(f)) && (verifierPrenom(f)) && (verifierDateNaissance(f)) && (verifierAdresse(f)) && (verifierVille(f)) && (verifierCodePostale(f)) && (verifierEmail(f))){

     var nom=f.nom.value;
    var prenom=f.prenom.value;
    var adresse=f.adresse.value;
    var ville=f.ville.value;
    var codePostal=f.codePostal.value;
    var mail=f.mail.value;
    var date = f.date.value;
     var file = "FunctionServlet";
    var data = "fonction=4&nom="+escape(nom)+"&prenom="+escape(prenom)+"&adresse="+escape(adresse)+"&ville="+escape(ville)+"&codePostal="+escape(codePostal)+"&mail="+escape(mail)+"&date="+escape(date);
    var text = file_aj(file,data)
            
              var tabRep=text.split(";");
    if ((tabRep.length>0) && (tabRep.length==8)){
        i=0;
        text = " <div><form name=formInfoClient> <table width='100%'>";
        text +="<tr><td width='30%'> Identifiant : </td><td width='70%' id='idClient'>"+tabRep[i]+"</td></tr><tr><td width='30%'>Nom</td>";
        text+="<td width='70%' id='infoNomClient' >"+tabRep[1]+"</td>";
        text+="</tr><tr><td>Prenom</td><td id='infoPrenomClient'>"+tabRep[2]+"</td>";
        text+="</tr><tr><td>Date de naissance</td><td id='dateNaissance'>"+tabRep[7]+"</td>";
        text+="</tr><tr><td>adresse</td><td id='infoAdresseClient'>"+tabRep[3]+"</td>";
        text+="</tr><tr><td>ville</td><td id='infoVilleClient'>"+tabRep[4]+"</td>";
        text+="</tr><tr><td>code postale</td><td id='infoCodePostalClient'>"+tabRep[5]+"</td>";
        text+="</tr><tr><td>mail</td><td id='infoMailClient'><a href= mailto:"+tabRep[6]+">"+tabRep[6]+"</a></td></tr>";
         text+="</td></tr></table></form></div>";

       
     document.getElementById("zoneSaisieInfoClient").innerHTML=text;
     document.getElementById("lesComptes").style.display="block";

    } 

}

 
 
 
   // document.getElementById("zone_ClientNouveau").innerHTML=text;
    // document.getElementById("zoneSaisieInfoClient").style.display="none";

}

function test(){
    document.getElementById("zoneSaisieInfoClient").style.display="none";
}

function informationTypeCompte(liste){
    var TypeCompte="undefined";
    var info="";
    if (liste=="CC"){
        info=" <br/>Compte courant, utilise dans les relations commerciales et financieres. Ce compte centralise les versements et les retraits en espece, les encaissements et paiements utilisant un autre moyen de paiement que les especes : cheque, carte de paiement, virement, prelevement, et les mouvements de fonds avec les autres comptes et produits bancaires (compte d'epargne, plan d'epargne, compte de pret, compte titres...);";
     //   info+="Une carte de retrait gratuite, le suivi de vos comptes 24h/24 comme vous le souhaitez, des virements possibles sur internet, la possibilit&eacute; de domicilier certains virements et pr&eacute;l&egrave;vements : vous aimerez ce Livret avec un grand A.&quot;;";
        document.getElementById("infoTypeCompte").innerHTML="COMPTE COURANT "+info;
        TypeCompte="CC";

    }else if (liste=="LA"){
        info="<br/>   <p> Minimum de versement : 10 € (Caisse d’épargne)<p>      Versement mensuel : 0 €uros (versement libre) <p>      Plafond des dépots : 15 300 € (hors capitalisation des interets) <p>     Taux de remuneration : 1.25 % Net d’impot sur les revenus au 1er aout 2009    <p> Fiscalité : Net d’impot sur les revenus. .";


        document.getElementById("infoTypeCompte").innerHTML="LIVRET A"+info;
        TypeCompte="LA";
    }else if (liste=="LJ"){
        info="<br/><strong>Livret jeune est une formule d'épargne pour les jeunes de moins 26ans ;.";
        document.getElementById("infoTypeCompte").innerHTML="LIVRET JEUNE"+info;
        TypeCompte="LJ";
    }else{
        document.getElementById("infoTypeCompte").innerHTML="Choisir un type de compte";
    }
    if (liste!=0){
    var formtext="<form name=AjouterCompte >";
    formtext+="<input type='hidden' name='NomTypeCompte' value='"+TypeCompte+"' />";
    formtext+="<fieldset ><legend>Montant solde initiale  </legend><center><font size='5px' >Solde Initiale &euro;</font> <input type='text' name='Solde' value='0' onkeyup='verif_nombre1(this);' size=30 style='height:35px ;font-size:25px' />";
    formtext+="<br/><input type='button' value='Créer le compte' name='creer' style='height:35px;font-size:20px' onclick='java_AjouterCompteClient()' /></center></fieldset></form>";

    document.getElementById("infoTypeCompte2").innerHTML=formtext;
    }else{
    document.getElementById("infoTypeCompte2").innerHTML="";
    }
}

function java_InfoClient(id){

    var file = "FunctionServlet";
    var data = "fonction=2&idCompte="+escape(id);
    var text = file_aj(file,data);
    //alert(text);
    var tabRep= text.split("[-]");

    var rep="Numero de compte <H4 id='idCompte'>"+tabRep[0]+"</h3><p>";
    rep+=" Numero Client : <H4 id='idClient'>"+tabRep[4]+"</h3><p>";
    rep+=" Client : <H4 id='nomClient'>"+tabRep[1]+"</h3><p>";
    rep+=" Solde actuel : <H4 id='solde'>"+tabRep[2]+"</h3> Euros";
    
   
    return rep;
}
function java_CacheElement(index,elem1){
   
     for (i=1;i<elem1.length;i++){
         if (elem1.options[i].style.display=="none"){
             elem1.options[i].style.display="block";
         }
         if (elem1.options[i].value==index){
             elem1.options[i].style.display="none";
         }
     }

}
function infoClient(){
    var file = "FunctionServlet";
    var data = "fonction=4";
    alert( file_aj(file,data));
}
function java_CacheChange(nom){
        if (nom=="zone_InfoDebiteur"){
       // alert (nom + " debit");
        var l1    = document.getElementById("liste_comptes_Debiter");

        tbhidden="liste_comptes_Debiter2";
        elem1=document.getElementById("liste_comptes_Crediter");

    }else if (nom=="zone_InfoCrediteur"){
        //alert (nom + " credit");
        var l1  = document.getElementById("liste_comptes_Crediter");
        tbhidden="liste_comptes_Crediter2";
        elem1=document.getElementById("liste_comptes_Debiter");

    }

	var index = l1.selectedIndex;
    java_CacheElement(l1.options[index].value,elem1);
}
function infoClientVersement(nom){
var tbhidden="";var elem1=null;var elem2=null;
        var l1    = document.getElementById("listeCompteVersement");
    	var index = l1.selectedIndex;
   var rep= java_InfoClient(l1.options[index].value);

   rep+="<form name='Versement'><fieldset ><legend>Montant versement  </legend><center><font size='5px' >Montant versement &euro;</font> <input type='text' name='Solde' value='0' onkeyup='verif_nombre1(this);' size=30 style='height:35px ;font-size:25px' />";
    rep+="<br/><input type='button' value='Valider' name='Versement' style='height:35px;font-size:20px' onclick='java_AjouterVersement()' /></center></fieldset></form>";

      document.getElementById(nom).innerHTML=rep;


}

function infoClientRetrait(nom){
      var tbhidden="";var elem1=null;var elem2=null;
        var l1    = document.getElementById("listeCompteVersement");
    	var index = l1.selectedIndex;
   var rep= java_InfoClient(l1.options[index].value);

   rep+="<form name='Retrait'><fieldset ><legend>Montant retrait  </legend><center><font size='5px' >Montant retrait &euro;</font> <input type='text' name='Solde' value='0' onkeyup='verif_nombre1(this);' size=30 style='height:35px ;font-size:25px' />";
    rep+="<br/><input type='button' value='Valider' name='Retrait' style='height:35px;font-size:20px' onclick='java_AjouterRetrait()' /></center></fieldset></form>";

      document.getElementById(nom).innerHTML=rep;

}
function java_AfficheZone(nom){
var tbhidden="";var elem1=null;var elem2=null;
    if (nom=="zone_InfoDebiteur"){
        var l1    = document.getElementById("liste_comptes_Debiter");

        tbhidden="liste_comptes_Debiter2";
        elem1=document.getElementById("liste_comptes_Crediter");

    }else if (nom=="zone_InfoCrediteur"){
        var l1  = document.getElementById("liste_comptes_Crediter");
        tbhidden="liste_comptes_Crediter2";
        elem1=document.getElementById("liste_comptes_Debiter");
        
    }
    
	var index = l1.selectedIndex;
   var rep= java_InfoClient(l1.options[index].value);
  
   java_CacheElement(l1.options[index].value,elem1);
    document.getElementById(nom).innerHTML=rep;
    document.getElementById(tbhidden).value=l1.options[index].value;

}

function TransfertOnChangeDebiteur(zone1, zone2, champ){
    
    if(champ.options[0].value=="------"){
    champ.removeChild(champ.options[0]);

}
    java_CacheChange(zone1);
    java_AfficheZone(zone2);

}


function identification1(login, pass){
    var file = "FunctionServlet";
  var data = "fonction=8&login="+escape(login)+"&pass="+escape(pass);
    var rep = file_aj(file,data);
    if(rep!="NON"){       
        document.location.href="page_client.jsp";
    }
   else{
        alert('Login ou mot de passe érroné');
        
    }

}

function  mySolde(){
   
     var file = "FunctionServlet";
  var data = "fonction=100";
    var rep = file_aj(file,data);
    return rep;
    
}













function identification(){
      
    
    var login = document.connect.login.value;
    var pass = document.connect.pass.value;
    var file = "FunctionServlet";
  var data = "fonction=8&login="+escape(login)+"&pass="+escape(pass);
    var rep = file_aj(file,data);
 

    if(rep!="NON"){
   
 document.location.href="page_client.jsp";
    }
    else{
        alert('Donnees erronees');
    }
    
}
function disconnect(){
 
    alert('Deconnexion');
    document.location.href="GestionComptesBancaire?bt_OK=disconnect";

}
function mesComptes(){
   
    var file = "FunctionServlet";
    var data = "fonction=22";
    var text = file_aj(file,data);
   
    document.getElementById("mesComptes").innerHTML=text;
    alert(text);
}
function mesHistoriques(){
    var file = "FunctionServlet";
    var data = "fonction=23";
    var text = file_aj(file,data);
   
    document.getElementById("mesComptes").innerHTML=text;

}
function mesInfos(){
    var file = "FunctionServlet";
    var data = "fonction=24";
    var text = file_aj(file,data);
   
    document.getElementById("mesComptes").innerHTML=text;

}
