/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package fr.unice.servletFonction;

import TP1.Client;
import TP1.CompteBancaire;
import TP1.CompteCourant;
import TP1.GestionnaireCompteBancaireLocal;
import TP1.Historique;
import TP1.LivretA;
import TP1.LivretJeune;
import java.io.IOException;
import java.io.PrintWriter;
import java.io.Serializable;
import java.lang.reflect.Array;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.Map;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.annotation.Resource;
import javax.ejb.EJB;
import javax.*;
import javax.jms.Connection;
import javax.jms.ConnectionFactory;
import javax.jms.JMSException;
import javax.jms.Message;
import javax.jms.MessageProducer;
import javax.jms.ObjectMessage;
import javax.jms.Session;
import javax.jms.TextMessage;
import javax.jms.Topic;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;


/**
 *
 * @author ED_MIAGE
 */

public class FunctionServlet extends HttpServlet {
    @Resource(name = "jms/NouveauCompteJMS")
    private Topic nouveauCompteJMS;
    @Resource(name = "jms/NewMessageFactory")
    private ConnectionFactory newMessageFactory;

    @EJB
    private GestionnaireCompteBancaireLocal gestionnaireCompteBancaire;
   
    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    public String getListeComptes() {


        return "";
    }







    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        String reponse =""; //"Transfert.jsp";
        Map<String, String[]> params = request.getParameterMap();
         HttpSession session = request.getSession();
         Client client;
         Collection<CompteBancaire> laListeDesComptesBancaires = gestionnaireCompteBancaire.getComptes();
         Iterator iteratorListeComptesBancaires = laListeDesComptesBancaires.iterator();

        if (!(params.isEmpty())) {

            String fonction = request.getParameter("fonction");
            System.out.println("fonction :" + fonction);

            if (!fonction.equals("")) {
                System.out.println("fffff");

                switch (Integer.parseInt(fonction)) {
                    case 1: // Liste des comptes
                        request.setAttribute("ListeComptes", gestionnaireCompteBancaire.getComptes());
                        break;

                    case 2: // Liste des comptes
                        String idCpt = request.getParameter("idCompte");
                        String nomCompte = gestionnaireCompteBancaire.getCompte(Integer.parseInt(idCpt)).getNom();
                        int solde = (int) gestionnaireCompteBancaire.getCompte(Integer.parseInt(idCpt)).getSolde();
                        int idCompte = gestionnaireCompteBancaire.getCompte(Integer.parseInt(idCpt)).getId();
                        Collection<Historique> histo = gestionnaireCompteBancaire.getHistorique();
                        Collection<Historique> monHisto = new ArrayList<Historique>();
                        Iterator<Historique> itHisto = histo.iterator();
                        
                        while (itHisto.hasNext()) {
                            Historique histoItere = itHisto.next();
                            if (histoItere.getIdCrediteur() == idCompte || histoItere.getIdDebiteur() == idCompte) {
                                if (monHisto == null){
                                   monHisto.add(histoItere);
                                }
                                else if (monHisto.size() < 10) {
                                    monHisto.add(histoItere);
                                }
                            }
                        }
                        String historiques = "";
                        Iterator<Historique> itHistoClient = monHisto.iterator();
                        while (itHistoClient.hasNext()){
                        Historique histoCouranrt =itHistoClient.next();
                       
                        if(histoCouranrt.getNature().compareTo("Versement")==0){
                            historiques +="<h5>"+ histoCouranrt.getDateOperation() +" Versement de  "+histoCouranrt.getMontantVirement()+" €</br></h5>";

                        }
                        else if(histoCouranrt.getNature().compareTo("Retrait")==0){
                            historiques +="<h5>"+ histoCouranrt.getDateOperation() +" Retrait de  "+histoCouranrt.getMontantVirement()+" €</br></h5>";

                        }
                        else if ((histoCouranrt.getIdCrediteur() == idCompte) && (histoCouranrt.getNature().compareTo("Virement")==0)){
                            int Conto = histoCouranrt.getIdDebiteur();
                            String Name = gestionnaireCompteBancaire.getClientById(gestionnaireCompteBancaire.getCompte(Conto).getIdClient()).getFullName();

                           historiques +="<h5>"+ histoCouranrt.getDateOperation() +" Virement de  "+histoCouranrt.getMontantVirement()+"€ reçu de la part de "+ Name+"</br></h5>";
                        }else
                             if ((histoCouranrt.getIdDebiteur() == idCompte) && (histoCouranrt.getNature().compareTo("Virement")==0)){
                              int Conto = histoCouranrt.getIdCrediteur();
                              String Name = gestionnaireCompteBancaire.getClientById(gestionnaireCompteBancaire.getCompte(Conto).getIdClient()).getFullName();
                              historiques +="<h5> "+ histoCouranrt.getDateOperation() +" Virement effectué de "+histoCouranrt.getMontantVirement()+"€ en faveur de  "+ Name +"</br></h5>";

                             }
                        }
                        if (historiques.equalsIgnoreCase("")){
                            historiques+= "Aucune opération n'a eu lieu pour ce compte </br>";
                        }
                        reponse = idCompte + "[-]" + gestionnaireCompteBancaire.getClientById(gestionnaireCompteBancaire.getCompte(idCompte).getIdClient()).getFullName() + "[-]" + solde + "[-]" +  historiques + "[-]" + gestionnaireCompteBancaire.getClientById(gestionnaireCompteBancaire.getCompte(idCompte).getIdClient()).getId();
                        break;
                    case 4 :
                        // creer un Client
                        System.out.println(" creation client");
                        String nom=request.getParameter("nom");
                        String prenom=request.getParameter("prenom");
                        String adresse=request.getParameter("adresse");
                        String ville=request.getParameter("ville");
                        String codePostal=request.getParameter("codePostal");
                        String mail=request.getParameter("mail");
                        String date = request.getParameter("date");
                        String message ="";
                       message+="Vous venez d'ouvrir un compte bancaire chez ZADE BANK, pour consulter votre compte en ligne ";
                        Client cliente = gestionnaireCompteBancaire.creerClientBanque(nom,prenom,adresse,ville,codePostal,mail, date);
                        message+="login " + cliente.getLogin() + " mot de passe : " + cliente.getMdp();

                        TP1.Mail.Envoyermail(mail, message, "ZADE BANK IDENTIFICATION");

                        Collection<Client> clients = gestionnaireCompteBancaire.getClient(nom, prenom);

                        if (!clients.isEmpty()){
                        Client cli = clients.iterator().next();
                        reponse = cli.InfoClient();
                        }
                     
                    break;
                    case 5 : // ajout compteClient
                        String nomTypeCompte=request.getParameter("nomTypeCompte");
                        int soldeCompte=Integer.parseInt(request.getParameter("soldeCompte"));
                        int idClient=Integer.parseInt(request.getParameter("idClient"));
                        CompteBancaire compte = null;
                       
                        if(nomTypeCompte.compareTo("CC")==0){
                            compte = new CompteCourant(soldeCompte, 100);
                            
                        } else if (nomTypeCompte.compareTo("LJ")==0) {
                            compte = new LivretJeune(soldeCompte);
                        } 
                        else if (nomTypeCompte.compareTo("LA")==0) {
                            compte = new LivretA(soldeCompte);
                        }
                        if(compte !=null) {
                  
                     
                        compte.setIdClient(idClient);
                        gestionnaireCompteBancaire.creerCompte(compte);
               
                        }
                        break ;


                        // Opération de versement :
                         case 6 : // ajout compteClient


                      int idCompteVersement= Integer.parseInt(request.getParameter("nomTypeCompte"));
                        int lesolde=Integer.parseInt(request.getParameter("soldeCompte"));
                         int idClient1=Integer.parseInt(request.getParameter("idClient"));
                         System.out.println(lesolde);
                       gestionnaireCompteBancaire.Versement(Integer.parseInt(request.getParameter("nomTypeCompte")), Integer.parseInt(request.getParameter("soldeCompte")));
                    gestionnaireCompteBancaire.addHistorique(idCompteVersement, idCompteVersement, lesolde, "Versement");

                        break ;

// RETRAIT
 case 7 : 


                      int idCompteRetrait= Integer.parseInt(request.getParameter("nomTypeCompte"));
                        int soldeRetrait=Integer.parseInt(request.getParameter("soldeCompte"));
                       if(gestionnaireCompteBancaire.Retrait(Integer.parseInt(request.getParameter("nomTypeCompte")), Integer.parseInt(request.getParameter("soldeCompte")))){
                                               gestionnaireCompteBancaire.addHistorique(idCompteRetrait, idCompteRetrait, soldeRetrait, "Retrait");
                                               reponse="retraitOK";
                       }
                       else {
                            CompteBancaire myAccount = gestionnaireCompteBancaire.getCompte(idCompteRetrait);
                            double max ;
                            if(myAccount instanceof CompteBancaire){
                                CompteCourant cc = (CompteCourant) myAccount;
                                max = cc.getSolde() + cc.getMaxDecourt();
                            }
                            else {
                                max = myAccount.getSolde();
                            }
                            reponse=toString().valueOf(max);
                       }

                        break ;

                       // Identification Users
                case 8 :

                    
                  
                      String login= request.getParameter("login");
                      String pass= request.getParameter("pass");
Collection<Client> lesClients = gestionnaireCompteBancaire.getClients();


String risposta = "NON";
 for(Client myClient:lesClients){

     if(((myClient.getLogin().compareTo(login)==0))&&((myClient.getMdp().compareTo(pass)==0))){
         HttpSession session1 = request.getSession(true);
         session1.putValue("Client", myClient);
                        try {
                            // gestionnaireCompteBancaire.addConnexion(myClient);
                            sendJMSMessageToNouveauCompteJMS(myClient);
                        } catch (JMSException ex) {
                            Logger.getLogger(FunctionServlet.class.getName()).log(Level.SEVERE, null, ex);
                        }
         risposta=toString().valueOf(myClient.getId());
         //break;
     }


 }
 reponse=risposta;
      
                       
                      

                        break ;

















    









                   
                         












case 22: // Liste des comptes
                       
                        TP1.Client cli = (TP1.Client) session.getAttribute("Client");
                      
reponse="";

   client = (Client) session.getAttribute("Client");
                       while(iteratorListeComptesBancaires.hasNext()){
                           CompteBancaire leCB = (CompteBancaire) iteratorListeComptesBancaires.next();
                           System.out.println(leCB.getIdClient() + " " + client.getId() + " " + client.getFullName() );
                           if(leCB.getIdClient()==client.getId()){
                                                            reponse+="<div class='entry'><h3>Compte : " + leCB.getNom() + " Solde " + leCB.getSolde() +" Euros </h3>" ;


                           }

                       }
                      

break;
case 23: // Liste des comptes
                     
                        TP1.Client cli1 = (TP1.Client) session.getAttribute("Client");
                        Collection<CompteBancaire> comptes1 = gestionnaireCompteBancaire.getComptes();
                        Collection<CompteBancaire> comptesClient1 = new ArrayList<CompteBancaire>();
                        
                        Iterator<CompteBancaire> itComptes1 = comptes1.iterator();
reponse="";
                        while (itComptes1.hasNext()) {
                            CompteBancaire leCompte = itComptes1.next();
                            if(leCompte.getIdClient()==cli1.getId()){
                                Collection<Historique> historique1 = gestionnaireCompteBancaire.getHistorique();
                                Iterator<Historique> historique11 = historique1.iterator();
                                 while (historique11.hasNext()) {
                                     Historique lHistorique = historique11.next();
                                     if((lHistorique.getIdCrediteur()==leCompte.getId()) || (lHistorique.getIdDebiteur()==leCompte.getId())){
                                         if(lHistorique.getNature().compareTo("Versement")==0){
 reponse+="<p><div class='entry'><h3>Versement de  : " + lHistorique.getMontantVirement() + " euros le  " + lHistorique.getDateOperation() +"  </h3>" ;

                                         } else {
                                             if(lHistorique.getIdCrediteur()==leCompte.getId()){
                                                 int iDclientdonnant = gestionnaireCompteBancaire.getCompte(lHistorique.getIdDebiteur()).getIdClient();
                                                 Client clientDonnant = gestionnaireCompteBancaire.getClientById(iDclientdonnant);
                                                 reponse+="<p><div class='entry'><h3>Virement recu de  : " + lHistorique.getMontantVirement() + " euros le  " + lHistorique.getDateOperation() +"  de la part de "+clientDonnant.getFullName() +"</h3>" ;

                                             }
                                             else{
                                                 int iDclientdonnant = gestionnaireCompteBancaire.getCompte(lHistorique.getIdCrediteur()).getIdClient();
                                                 Client clientDonnant = gestionnaireCompteBancaire.getClientById(iDclientdonnant);

                                                  reponse+="<p><div class='entry'><h3>Virement effectue de  : " + lHistorique.getMontantVirement() + " euros le  " + lHistorique.getDateOperation()+"  en faveur de "+clientDonnant.getFullName() +"</h3>" ;

                                             }
                                         }
                                     }
                                 }



                                  }
                        }

                      
                        break;

case 24: // Info clients
                        HttpSession session11 = request.getSession();
                        TP1.Client cli11 = (TP1.Client) session11.getAttribute("Client");
                     reponse="<div class='entry'><h3>";
                     reponse+= "<p>Nom  et prenom: ";
                     reponse+= cli11.getFullName();
                     reponse+= "<p>Adresse : ";
                     reponse+= cli11.getAdresse() + " " + cli11.getCp() + "  " + cli11.getVille();
                     reponse+= "<p>Date de naissance: ";
                     reponse+= cli11.getDateNaissance();
                     reponse+= "<p>Login: ";
                     reponse+= cli11.getLogin();
                  reponse+= " </h3>";


                        break;

                        // Renvoyer le solde du compte du client:
                    case 100:
                       client = (Client) session.getAttribute("Client");
                       while(iteratorListeComptesBancaires.hasNext()){
                           CompteBancaire leCB = (CompteBancaire) iteratorListeComptesBancaires.next();
                           if(leCB.getIdClient()==client.getId()){
                               System.out.println(leCB.getSolde());
                               reponse=""+leCB.getSolde();
                               
                           }

                       }  
                     break;

                   




                    default:
                        reponse = "fonction non définie :" + fonction;
                }

            }

        }


        try {

            if (reponse.equals("Transfert.jsp")) {
                RequestDispatcher dp = request.getRequestDispatcher(reponse);
                dp.forward(request, response);
            } else {
                response.setHeader("Cache-Control", "no-cache");
                response.getWriter().write(reponse);

            }



        } finally {
            out.close();
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
     * Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

    private Message createJMSMessageForjmsNouveauCompteJMS(Session session, Object messageData) throws JMSException {
        // TODO create and populate message to send
ObjectMessage om = session.createObjectMessage();
        om.setObject((Serializable) messageData);
        return om;
    }

    private void sendJMSMessageToNouveauCompteJMS(Object messageData) throws JMSException {
        Connection connection = null;
        Session session = null;
        try {
            connection = newMessageFactory.createConnection();
            session = connection.createSession(false, Session.AUTO_ACKNOWLEDGE);
            MessageProducer messageProducer = session.createProducer(nouveauCompteJMS);
            messageProducer.send(createJMSMessageForjmsNouveauCompteJMS(session, messageData));
        } finally {
            if (session != null) {
                try {
                    session.close();
                } catch (JMSException e) {
                    Logger.getLogger(this.getClass().getName()).log(Level.WARNING, "Cannot close session", e);
                }
            }
            if (connection != null) {
                connection.close();
            }
        }
    }


}
